<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" 
      integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" 
      crossorigin="anonymous">
    <title>ERS EmployeeHomePage</title>
</head>
<body>
<header>
    
</header>

<div class="panel panel-default">
    <!-- Default panel contents -->
    <div class=container></div>
        <div class=row>
            <div class="panel-heading col-xs-6 col-sm-3">Your Reimbursement Requests</div>
            <div class="dropdown col-xs-6 col-sm-3">
              <button class="btn btn-default dropdown-toggle" type="button" id="statusMenu" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
                Select Status
                <span class="caret"></span>
              </button>
              <ul class="dropdown-menu" aria-labelledby="statusMenu">
                <li><a id = "pendingAction">Pending</a></li>
                <li><a id = "resolvedAction">Resolved</a></li>
              </ul>
            </div>
            <button class = "btn btn-success col-xs-6 col-sm-3" id= addNewRequestButton>Submit New Request</button>
        </div>
        
    </div>

  
    <!-- Table -->
    <table class="table">
        <thead id = "reimbursementTableHeader">
            <tr>
                <th>ID</th>
                <th>Status</th>
                <th>Amount</th>
                <th>Description</th>
            </tr>
        </thead>
        <tbody id="reimbursementTableBody">
        <!--Information pulled from server-->
        </tbody>
    </table>
</div>



</table>


<div
class="modal fade"
id="submitRequestModal"
tabindex="-1"
role="dialog"
aria-labelledby="submitRequestModalTitle"
aria-hidden="true"
>
<div class="modal-dialog modal-dialog-centered" role="document">
  <div class="modal-content">
    <div class="modal-header">
      <h5 class="modal-title" id="submitRequestModalLongTitle">Submit New Request</h5>
    </div>
    <div class="modal-body">
      <input
        class="form-control"
        id="amount-input"
        type="text"
        placeholder="Amount"
      /><br />

      <input
        class="form-control"
        id="description-input"
        type="text"
        placeholder="Description"
        maxlength="200"
        multiline="true"
       />

    <div class="modal-footer">
      <span hidden id="error-msg"
        >Something went wrong! Please try again.</span
      >
      <button type="button" class="btn btn-secondary" id="close-btn">
        Close
      </button>
      <button type="button" class="btn btn-primary" id="submit-btn">
        Submit
      </button>
      <h6 id ="submitFailureText" style="color: red">Sample failure text</h6>
    </div>
  </div>
</div>
</div>


 
    


    <!-- Latest compiled and minified JavaScript -->

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
<script src = "../websiteHeader.js"></script>
<script src = "ManageReimbursementRequests.js"></script>
</body>